﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Player : MonoBehaviour {

    public KeyCode moveL;
    public KeyCode moveR;

    public float HorizVel = 0;
    public int LaneNum = 3;
    public string ControlLocked = "n";

	// Use this for initialization
	void Start ()
    {
 
    }
	
	// Update is called once per frame
	void Update ()
    {
        GetComponent<Rigidbody>().velocity = new Vector3(HorizVel, 0, 6);

        if ((Input.GetKeyDown(moveL)) && (LaneNum>0))
        {
            HorizVel = -50;
            StartCoroutine(StopSlide());
            LaneNum -= 1;
        }
        if ((Input.GetKeyDown(moveR)) && (LaneNum<5))
        {
            HorizVel = 50;
            StartCoroutine(StopSlide());
            LaneNum += 1;
        }
    }

    private void OnCollisionEnter(Collision other)
    {
        if (other.gameObject.tag == "Lethal")
        {
            Destroy(gameObject);
            GameMaster.zVelAdj = 0;
            GameMaster.LvlCompStatus = "Fail";
        }
    }
    void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.tag == "End")
        {
            SceneManager.LoadScene ("LevelCompleted");
        }

        if (other.gameObject.tag == "Coin")
        {
            Destroy(other.gameObject);
            GameMaster.CoinTotal += 1;
        }
    }
    IEnumerator StopSlide()
    {
        yield return new WaitForSeconds(.01f);
        HorizVel = 0;

    }
}